HistoryData Class Reference

HistoryData class stores the operation history. Save users operation steps. More...

`#include <HistoryData.h>`

## Public Types

enum | FileType { kBinary, kSBFile, kIntelHex, kSRecord, kUnsupported }
| File types. More...

## Public Member Functions

| HistoryData ()
| Generated standard constructor.
virtual | ~HistoryData ()
| Generated standard destructor.
int32_t | GetCurrentDevice ()
| Get current selected device index at device list. More...
void | SetCurrentDevice (int32_t index)
| Change the index of current selected device. More...
int32_t | GetBaudRate (size_t index)
| Get the baud rate at the specified index. More...
size_t | GetBaudRateCount ()
| Get count of the baud rates in the list. More...
int32_t | GetCurrentBaudRate ()
| Get current selected baud rate index at the list. More...
void | SetCurrentBaudRate (int32_t index)
| Change the index of current selected baud rate. More...
void | AddBaudRate (int32_t baudrate)
| Append a new baud rate at the end of the list. More...
void | InsertBaudRate (int32_t baudrate)
| Insert a new baud rate, and change the current selected baud rate. If the baud rate already exists in the list, only change the selected baud rate index. More...
uint16_t | GetVid (size_t index)
| Get the VID at the specified index. More...
size_t | GetVidCount ()
| Get count of the VID in the list . More...
void | AddVid (uint16_t vid)
| Append a new VID at the end of the list. More...
void | InsertVid (uint16_t vid)
| Insert a VID at the head of the list. If the VID already exists in the list, only bubble that VID to list head. More...
void | BubbleSelectedVid (size_t index)
| bubble the VID at the specified index to the head of the VID list More...
uint16_t | GetPid (size_t index)
| Get the PID at the specified index. More...
size_t | GetPidCount ()
| Get count of the PID in the list . More...
void | AddPid (uint16_t pid)
| Append a new PID at the end of the list. More...
void | InsertPid (uint16_t pid)
| Insert a PID at the head of the list. If the PID already exists in the list, only bubble it to list head. More...
void | BubbleSelectedPid (size_t index)
| bubble the PID at the specified index to the head of the PID list More...
CString | GetFilePath (int index)
| Get the file full path at the specified index of the file list. More...
CString | GetFileName (int index)
| Get the file name at the specified index of the file list. More...
FileType | GetFileType (int index)
| Get the file type of the file at the specified index of the file list. More...
size_t | GetFileCount ()
| Get count of the files in the list . More...
void | AddFile (CString fullPath)
| Append a new file at the end of the list. More...
void | InsertFile (CString fullPath)
| Insert a file at the head of the list. If the file already exists in the list, only bubble that file to list head. More...
void | BubbleSelectedFile (int32_t index)
| bubble the file at the specified index to the head of the file list More...
uint32_t | GetImageAddress ()
| Get image address previous used. More...
void | SetImageAddress (uint32_t imageAddress)
| Change image address. More...
CString | GetBackdoorKey ()
| Get the string of backdoor key previous used. More...
void | SetBackdoorKey (CString backdoorKey)
| Change the string of backdoor key. More...

## Detailed Description

HistoryData class stores the operation history. Save users operation steps.

## Member Enumeration Documentation

enum HistoryData::FileType

File types.

Enumerator
kBinary | Binary file.(.bin)
kSBFile | SB file.(.sb)
kIntelHex | Intel hex file.(.hex)
kSRecord | Srecord file.(.srec, s19)
kUnsupported | Unsupported file type.

## Member Function Documentation

void HistoryData::AddBaudRate | ( | int32_t | baudrate | ) |

inline

Append a new baud rate at the end of the list.

Parameters

  the | value of baud rate.

void HistoryData::AddFile | ( | CString | fullPath | ) |

inline

Append a new file at the end of the list.

Parameters

  the | full path of the file.

void HistoryData::AddPid | ( | uint16_t | pid | ) |

inline

Append a new PID at the end of the list.

Parameters

  the | value of PID.

void HistoryData::AddVid | ( | uint16_t | vid | ) |

inline

Append a new VID at the end of the list.

Parameters

  the | value of VID.

void HistoryData::BubbleSelectedFile | ( | int32_t | index | ) |

inline

bubble the file at the specified index to the head of the file list

Parameters

  the | index of file.

void HistoryData::BubbleSelectedPid | ( | size_t | index | ) |

inline

bubble the PID at the specified index to the head of the PID list

Parameters

  the | index of PID.

void HistoryData::BubbleSelectedVid | ( | size_t | index | ) |

inline

bubble the VID at the specified index to the head of the VID list

Parameters

  the | index of VID.

CString HistoryData::GetBackdoorKey | ( |  | ) |

inline

Get the string of backdoor key previous used.

Returns
  the string of backdoor key.

int32_t HistoryData::GetBaudRate | ( | size_t | index | ) |

inline

Get the baud rate at the specified index.

Parameters

  index | of the list.

Returns
  the value of the baud rate.

size_t HistoryData::GetBaudRateCount | ( |  | ) |

inline

Get count of the baud rates in the list.

Returns
  the count.

int32_t HistoryData::GetCurrentBaudRate | ( |  | ) |

inline

Get current selected baud rate index at the list.

Returns
  negative: no baud rate is selected. non-negative: current selected baud rate index at the list.

int32_t HistoryData::GetCurrentDevice | ( |  | ) |

inline

Get current selected device index at device list.

Returns
  negative: no device is selected. non-negative: current selected device index at device list.

size_t HistoryData::GetFileCount | ( |  | ) |

inline

Get count of the files in the list .

Returns
  the count.

CString HistoryData::GetFileName | ( | int | index | ) |

inline

Get the file name at the specified index of the file list.

Parameters

  index | of the list.

Returns
  file name string.

CString HistoryData::GetFilePath | ( | int | index | ) |

inline

Get the file full path at the specified index of the file list.

Parameters

  index | of the list.

Returns
  full path string.

FileType HistoryData::GetFileType | ( | int | index | ) |

inline

Get the file type of the file at the specified index of the file list.

Parameters

  index | of the list.

Returns
  file type.

uint32_t HistoryData::GetImageAddress | ( |  | ) |

inline

Get image address previous used.

Returns
  value of the image address.

uint16_t HistoryData::GetPid | ( | size_t | index | ) |

inline

Get the PID at the specified index.

Parameters

  index | of the list.

Returns
  the value of the PID.

size_t HistoryData::GetPidCount | ( |  | ) |

inline

Get count of the PID in the list .

Returns
  the count.

uint16_t HistoryData::GetVid | ( | size_t | index | ) |

inline

Get the VID at the specified index.

Parameters

  index | of the list.

Returns
  the value of the PID.

size_t HistoryData::GetVidCount | ( |  | ) |

inline

Get count of the VID in the list .

Returns
  the count.

void HistoryData::InsertBaudRate | ( | int32_t | baudrate | ) |

inline

Insert a new baud rate, and change the current selected baud rate. If the baud rate already exists in the list, only change the selected baud rate index.

Parameters

  the | value of baud rate.

void HistoryData::InsertFile | ( | CString | fullPath | ) |

inline

Insert a file at the head of the list. If the file already exists in the list, only bubble that file to list head.

Parameters

  the | full path of the file.

void HistoryData::InsertPid | ( | uint16_t | pid | ) |

inline

Insert a PID at the head of the list. If the PID already exists in the list, only bubble it to list head.

Parameters

  the | value of PID.

void HistoryData::InsertVid | ( | uint16_t | vid | ) |

inline

Insert a VID at the head of the list. If the VID already exists in the list, only bubble that VID to list head.

Parameters

  the | value of VID.

void HistoryData::SetBackdoorKey | ( | CString | backdoorKey | ) |

inline

Change the string of backdoor key.

Parameters

  the | string of backdoor key.;

void HistoryData::SetCurrentBaudRate | ( | int32_t | index | ) |

inline

Change the index of current selected baud rate.

Parameters

  index | at baud rate list.

void HistoryData::SetCurrentDevice | ( | int32_t | index | ) |

inline

Change the index of current selected device.

Parameters

  index | at device list.

void HistoryData::SetImageAddress | ( | uint32_t | imageAddress | ) |

inline

Change image address.

Parameters

  value | of the image address.

The documentation for this class was generated from the following file:

- HistoryData.h